UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Types | Public Member Functions | Public Attributes | List of all members
uhd::tune_request_t Struct Reference

`#include <tune_request.hpp>`

## Public Types
enum | policy_t { POLICY_NONE = int('N'), POLICY_AUTO = int('A'), POLICY_MANUAL = int('M') }
| Policy options for tunable elements in the RF chain. More...

## Public Member Functions
| tune_request_t (double target_freq=0)
| tune_request_t (double target_freq, double lo_off)

## Public Attributes
double | target_freq
policy_t | rf_freq_policy
double | rf_freq
policy_t | dsp_freq_policy
double | dsp_freq

## Detailed Description

A tune request instructs the implementation how to tune the RF chain. The policies can be used to select automatic tuning or fined control over the daughterboard IF and DSP tuning. Not all combinations of policies are applicable. Convenience constructors are supplied for most use cases.

## Member Enumeration Documentation

enum uhd::tune_request_t::policy_t

Policy options for tunable elements in the RF chain.

Enumerator
POLICY_NONE | Do not set this argument, use current setting.
POLICY_AUTO | Automatically determine the argument's value.
POLICY_MANUAL | Use the argument's value for the setting.

## Constructor & Destructor Documentation

uhd::tune_request_t::tune_request_t | ( | double | target_freq = `0` | ) |

Make a new tune request for a particular center frequency. Use an automatic policy for the RF and DSP frequency to tune the chain as close as possible to the target frequency.

Parameters

  target_freq | the target frequency in Hz

uhd::tune_request_t::tune_request_t | ( | double | target_freq,
|  | double | lo_off
| ) |  |

Make a new tune request for a particular center frequency. Use a manual policy for the RF frequency, and an automatic policy for the DSP frequency, to tune the chain as close as possible to the target frequency.

Parameters

  target_freq | the target frequency in Hz
  lo_off | the LO offset frequency in Hz

## Member Data Documentation

double uhd::tune_request_t::dsp_freq

The DSP frequency in Hz. Set when the policy is set to manual.

policy_t uhd::tune_request_t::dsp_freq_policy

The policy for the DSP frequency. Automatic behavior: the difference between the target and IF.

double uhd::tune_request_t::rf_freq

The RF frequency in Hz. Set when the policy is set to manual.

policy_t uhd::tune_request_t::rf_freq_policy

The policy for the RF frequency. Automatic behavior: the target frequency + default LO offset.

double uhd::tune_request_t::target_freq

The target frequency of the overall chain in Hz. Set this even if all policies are set to manual.

The documentation for this struct was generated from the following file:

- include/uhd/types/tune_request.hpp